package cn.com.countrygarden.bi.main.dto.districtReport;

import cn.com.countrygarden.bi.main.model.districtReport.RdUncollectedBuildingProjects;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class RdUncollectedBuildingProjectsDTO extends RdUncollectedBuildingProjects {

    private String openDateString1;//开放时间

    private String openDateString2;//开放时间

    private String openingDateString1;//开盘时间

    private String openingDateString2;//开盘时间

    private String openDateList;

    private String openingDateList;

    private String districtName;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date openDateString;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date openingDateString;

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getOpenDateList() {
        return openDateList;
    }

    public void setOpenDateList(String openDateList) {
        this.openDateList = openDateList;
    }

    public String getOpeningDateList() {
        return openingDateList;
    }

    public void setOpeningDateList(String openingDateList) {
        this.openingDateList = openingDateList;
    }

    public String getOpenDateString1() {
        return openDateString1;
    }

    public void setOpenDateString1(String openDateString1) {
        this.openDateString1 = openDateString1;
    }

    public String getOpenDateString2() {
        return openDateString2;
    }

    public void setOpenDateString2(String openDateString2) {
        this.openDateString2 = openDateString2;
    }

    public String getOpeningDateString1() {
        return openingDateString1;
    }

    public void setOpeningDateString1(String openingDateString1) {
        this.openingDateString1 = openingDateString1;
    }

    public String getOpeningDateString2() {
        return openingDateString2;
    }

    public void setOpeningDateString2(String openingDateString2) {
        this.openingDateString2 = openingDateString2;
    }

    public Date getOpenDateString() {
        return openDateString;
    }

    public void setOpenDateString(Date openDateString) {
        this.openDateString = openDateString;
    }

    public Date getOpeningDateString() {
        return openingDateString;
    }

    public void setOpeningDateString(Date openingDateString) {
        this.openingDateString = openingDateString;
    }
}
